program Project1;

{$APPTYPE CONSOLE}

uses
  SysUtils;

var T,N,M, k, i:longint;

f1 : text;

begin
Assign(f1, 'NUTS.in');
reset(f1);
readln(f1,T);
for i := 1 to T do begin readln(f1,N,M,k);
 if m*n >= k then writeln('YES') else writeln('NO');


end;




end.
